Bug 115723 - broken \ sequence
broken \ sequence
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ORBit2 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-15 07:17 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-30 05:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-15 07:17:17 EST
Description of problem:

I just tried to compile package ORBit2-2.8.2-1 from Fedora.

The compiler said

1.


test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence
test-corbaloc.c(159): warning #192: unrecognized character escape sequence

The source code is

        {
"corbaloc:iiops:localhost:8885/\%4e\%61\%6d\%65\%53\%65\%72\%76\%69\%63\%65",
         
"IOR:01000000010000000000000001000000000000003e000000010101000a0000006c6f63616c686f73740000000b0000004e616d65536572766963650001000000140000000e000000010101007f00000006000000b522"
        },

\% isn't a valid escape sequence. Suggest that if you want % in an
ordinary string, just use %.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mark McLoughlin 2004-03-19 12:45:02 EST
What compiler warning flags are you using?
Comment 2 d.binderman 2004-03-20 05:59:15 EST
>What compiler warning flags are you using?

-Wall and the Intel compiler.
Comment 3 Mark McLoughlin 2004-07-30 05:36:32 EDT
Okay, just committed a fix upstream. The fix will be in Fedora Core 3.
Thanks
Comment 4 Mark McLoughlin 2004-07-30 05:36:53 EDT
ChangeLog entry, for reference:

2004-07-30  Mark McLoughlin  <mark@skynet.ie>

        * test/test-corbaloc.c: "\%" isn't a valid escape sequence,
        so just use "%". From d.binderman@virgin.net.


Note You need to log in before you can comment on or make changes to this bug.